Bug 1268612 - upgrade silently fails if /usr/bin/plymouth does not exist
upgrade silently fails if /usr/bin/plymouth does not exist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
RejectedBlocker AcceptedFreezeException
:
Depends On:
Blocks: F23FinalFreezeException
  Show dependency treegraph
 
Reported: 2015-10-03 11:53 EDT by Jeff Raber
Modified: 2015-11-02 13:52 EST (History)
6 users (show)

See Also:
Fixed In Version: dnf-plugin-system-upgrade-0.7.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 13:52:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Raber 2015-10-03 11:53:09 EDT
Description of problem:
Tried to upgrade my F22 desktop to F23 beta using 'dnf system-upgrade download --releasever=23' and 'dnf system-upgrade reboot'.  After the reboot, nothing was installed.  The system just rebooted itself (no error message), and I was still running F22.

Version-Release number of selected component (if applicable):


How reproducible:
100% ?  I did it a couple of times on this machine.

Steps to Reproduce:
1. Install F22
2. Remove Plymouth
3. Try to update to F23 using dnf-plugin-system-upgrade

Actual results:
After reboot to apply upgrade, nothing is install and no error message is displayed.  System reboots and you're back in F22.

Expected results:
System is upgraded to F23, or at least an error message is given explaining that the upgarde failed for some reason.

Additional info:
Upstream Bug report: https://github.com/rpm-software-management/dnf-plugin-system-upgrade/issues/18
Upstream Patch: https://github.com/rpm-software-management/dnf-plugin-system-upgrade/commit/735d53a7126b4ae840cc574b72d6122a0b1c2c42
Comment 1 Jeff Raber 2015-10-03 12:07:20 EDT
Proposing this as Final blocker, as this bug makes the upgrade fail on a fully updated system (if that system doesn't have plymouth installed).  Also, it was already fixed upstream so it should be trivial to fix.  Or, if it's too late to fix, maybe we should add an explicit dependency on plymouth.
Comment 2 Adam Williamson 2015-10-05 18:28:56 EDT
Discussed at 2015-10-05 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-10-05/f23-blocker-review.2015-10-05-16.00.html . As this doesn't cause any kind of damage and is a fairly unusual configuration, we agreed it doesn't need to block the release, but obviously it'd be good to fix it. Was also accepted as a freeze exception issue, but obviously that only applies if a fix needs to go into the F23 package set.
Comment 3 Fedora Update System 2015-10-29 21:18:28 EDT
dnf-plugin-system-upgrade-0.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-69bef6b9ed
Comment 4 Jan Sedlák 2015-10-30 09:22:26 EDT
Seems fixed with newest dnf-plugin-system-upgrade.
Comment 5 Fedora Update System 2015-11-01 01:58:55 EST
dnf-plugin-system-upgrade-0.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugin-system-upgrade'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-69bef6b9ed
Comment 6 Fedora Update System 2015-11-02 13:52:14 EST
dnf-plugin-system-upgrade-0.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.